petsc-3.10.5 2019-03-28
Report Typos and Errors

# AOType

String with the name of a PETSc application ordering or the creation function with an optional dynamic library name.

### Synopsis

    typedef const char* AOType;
    #define AOBASIC               "basic"
    #define AOADVANCED            "advanced"
    #define AOMAPPING             "mapping"
    #define AOMEMORYSCALABLE      "memoryscalable"

### See Also

AOSetType(), AO

### Level

beginner

### Location

src/vec/is/ao/../../../../include/petscao.h
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages